package com.scrdev.pg.kokotimeapp.channels;

import java.util.regex.Pattern;

public class Channel {
	
	private String channelName;
	private String channelCategory;
	private String channelCountry;
	private String channelDescription;
	private String channelThumbUrl;
	private String channelBackdropUrl;
	private Object customObject;
	
	
	public Channel(String channelName) {
		this.channelName = channelName;
	}
	
	
	public void setChannelThumbUrl(String channelThumbUrl){
		this.channelThumbUrl = channelThumbUrl;
	}
	
	public void setChannelCategory(String channelCategory) {
		this.channelCategory = channelCategory;
	}
	
	public void setChannelCountry(String channelCountry) {
		this.channelCountry = channelCountry;
	}
	
	public void setChannelDescription(String channelDescription) {
		this.channelDescription = channelDescription;
	}
	
	public void setChannelName(String channelName) {
		this.channelName = channelName;
	}
	
	public void setChannelBackdropUrl(String channelBackdropUrl) {
		this.channelBackdropUrl = channelBackdropUrl;
	}
	
	public void setCustomObject(Object customObject) {
		this.customObject = customObject;
	}
	
	public Object getCustomObject() {
		return customObject;
	}
	public String getChannelCategory() {
		return channelCategory;
	}
	
	public String getChannelCountry() {
		return channelCountry;
	}
	
	public String getChannelDescription() {
		return channelDescription;
	}
	
	public String getChannelName() {
		return channelName;
	}
	
	public String getChannelThumbUrl() {
		return channelThumbUrl;
	}
	
	public String getChannelBackdropUrl() {
		return channelBackdropUrl;
	}
	
	@Override
	public String toString() {
		if (channelName!=null){
			return "Name = "+channelName;
		}
		return super.toString();
	}
}
