package com.scrdev.pg.kokotimeapp.series;

/**
 * 
 * @author Scrdev part of Kokotime copyright 2017
 * 
 * EpisodeItem is used in the info page of a series in the season tab, all variables can be directly accessed
 * without setters and getters
 *
 */

public class EpisodeItem {


    public String episodeDescription;
    public String episodeName;
    public String episodeNumber;
    public String seasonNumber;
    public String thumbLink;
    public String views;
    public String releaseDate;

    /**
     * The parameters here are the only mandatory variables to be set the rest are optional
     * @param episodeName = name of the spisode
     * @param episodeDescription = small description of the episode
     * @param thumbLink = url link including protocol of a thumb image of the episode
     */
    public EpisodeItem(String episodeName, String episodeDescription, String thumbLink){
        this.episodeName = episodeName;
        this.episodeDescription = episodeDescription;
        this.thumbLink = thumbLink;

    }
}
